import { world, system, EntityComponentTypes, EquipmentSlot } from "@minecraft/server";

function onTick() {
    world.getPlayers().forEach(player => {
        const equipComp = player.getComponent(EntityComponentTypes.Equippable);
        const feetSlot = equipComp.getEquipment(EquipmentSlot.Feet);

        if (feetSlot?.typeId === 'myname:lava_boots') {
            player.runCommand("function lava_path")
        };
    });
};
system.runInterval(onTick, 1);

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent("myname:lavawalktimer", {
        onTick: e => {
            e.block.setType("minecraft:lava");
        }
    });
});